﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_22_Kalyshev_Y_V_MotorBoat_Base
{
    [Serializable]
    internal class BoatNotFoundException : ApplicationException
    {
        public BoatNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public BoatNotFoundException() : base() { }
        public BoatNotFoundException(string message) : base(message) { }
        public BoatNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected BoatNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
