﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_22_Kalyshev_Y_V_MotorBoat_Base
{
    public class EntityBoat
    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; set; }
        public float Step => Speed * 100 / Weight;
        public EntityBoat(int speed, float weight, Color bodyColor)
        {
            Random rnd = new();
            Speed = speed <= 0 ? rnd.Next(5, 30) : speed;
            Weight = weight <= 0 ? rnd.Next(30, 100) : weight;
            BodyColor = bodyColor;
        }

    }
}
